Bug 714820 - Front-load authentication
Summary: Front-load authentication
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1113033
TreeView+ depends on / blocked
 
Reported: 2011-06-20 21:28 UTC by Ondra Pelech
Modified: 2014-07-10 00:23 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.4.5-1.fc20
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1113033 (view as bug list)
Environment:
Last Closed: 2014-07-10 00:23:54 UTC


Attachments (Terms of Use)

Description Ondra Pelech 2011-06-20 21:28:48 UTC
To add a new printer, system-config-printer asks me to insert my password two times in a row.
(first to modify firewall settings, that to get list of aviable devices)

why doesn't it ask just onece?

Comment 1 Tim Waugh 2011-06-21 09:54:32 UTC
It's asking for different reasons.  The dialogs explain what each is for.

Having said that, it would be nice to "front-load" all the authentication, like the GNOME 3 system settings dialog does.

Comment 2 Fedora Update System 2014-07-04 16:31:36 UTC
system-config-printer-1.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.5-1.fc20

Comment 3 Fedora Update System 2014-07-05 14:55:29 UTC
Package system-config-printer-1.4.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8100/system-config-printer-1.4.5-1.fc20
then log in and leave karma (feedback).

Comment 4 Ondra Pelech 2014-07-06 10:46:05 UTC
does not work

1) start system-config-printer
2) click Unlock and authenticate
3) click Add
4) click Network Printer
5) another authentication dialog appears
6) click Find Network Printer
7) click Find

this error appears (but system-config-printer continues to work, does not crash)

Caught non-fatal exception.  Traceback:
File "/usr/share/system-config-printer/probe_printer.py", line 255, in _do_find
    fn ()
File "/usr/share/system-config-printer/probe_printer.py", line 375, in _probe_hplip
    stderr=null)
File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
    errread, errwrite)
File "/usr/lib64/python2.7/subprocess.py", line 1327, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Continuing anyway..

Comment 5 Tim Waugh 2014-07-06 12:51:27 UTC
(In reply to Ondra Pelech from comment #4)
> does not work
> 
> 1) start system-config-printer
> 2) click Unlock and authenticate
> 3) click Add
> 4) click Network Printer
> 5) another authentication dialog appears

That's for firewalld, and the Unlock button can only be for one oforg.opensuse.cupspkhelper.mechanism.all-edit and org.fedoraproject.FirewallD1.*, not both.

The reason the gnome-control-center Printers panel doesn't show this dialog is... it doesn't touch the firewall at all.

I moved the Firewall-adjustment so that it only happens when Network Printer is expanded, *and* no network printers were found. Short of actually ripping out the firewall adjustment code, there's nothing else we can really do that I can think of.

> this error appears (but system-config-printer continues to work, does not
> crash)
> 
> Caught non-fatal exception.  Traceback:
> File "/usr/share/system-config-printer/probe_printer.py", line 255, in
> _do_find
>     fn ()
> File "/usr/share/system-config-printer/probe_printer.py", line 375, in
> _probe_hplip
>     stderr=null)
> File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
>     errread, errwrite)
> File "/usr/lib64/python2.7/subprocess.py", line 1327, in _execute_child
>     raise child_exception
> OSError: [Errno 2] No such file or directory
> Continuing anyway..

That's harmless, and just means you don't have hplip installed.

Comment 6 Fedora Update System 2014-07-10 00:23:54 UTC
system-config-printer-1.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.